natty: update-initramfs is currently failing with new beta initrd.gz, so move that too the last part of the script

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 14 years ago
parent c693793474
commit f07949eac7

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7 index 0000000..6d06fc7
--- /dev/null --- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap +++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,43 @@ @@ -0,0 +1,44 @@
+#!/bin/sh -e +#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf +cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf +cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
@ -25,17 +25,11 @@ index 0000000..6d06fc7
+ #install deb and create uInitrd + #install deb and create uInitrd
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/ + LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true + rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
+ chroot /target update-initramfs -c -k `uname -r`
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
+ cp /target/boot/uInitrd /tmp/mmc/uInitrd
+ +
+ #Setup for final install + #Setup for final install
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr + mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage + mv /tmp/mmc/uImage.net /tmp/mmc/uImage
+ +
+ sync
+ umount /tmp/mmc
+
+ mkdir -p /target/boot/uboot + mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab + echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+ +
@ -45,5 +39,12 @@ index 0000000..6d06fc7
+ cp -r /lib/firmware/ /target/lib/ + cp -r /lib/firmware/ /target/lib/
+ +
+ rm -f /etc/rcn.conf + rm -f /etc/rcn.conf
+
+ chroot /target update-initramfs -c -k `uname -r`
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
+ cp /target/boot/uInitrd /tmp/mmc/uInitrd
+
+ sync
+ umount /tmp/mmc
+fi +fi
+ +

Loading…
Cancel
Save